﻿using AircraftPlantBusinessLogic.OfficePackage.HelperEnums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantBusinessLogic.OfficePackage.HelperModels
{
    /// <summary>
    /// Модель для описания свойств ячейки
    /// </summary>
    public class ExcelCellParameters
    {
        /// <summary>
        /// Название колонки
        /// </summary>
        public string ColumnName { get; set; } = string.Empty;

        /// <summary>
        /// Номер строки
        /// </summary>
        public uint RowIndex { get; set; }

        /// <summary>
        /// Текст колонки
        /// </summary>
        public string Text { get; set; } = string.Empty;

        /// <summary>
        /// Получение ячейки
        /// </summary>
        public string CellReference => $"{ColumnName}{RowIndex}";

        /// <summary>
        /// Стиль ячейки
        /// </summary>
        public ExcelStyleInfoType StyleInfo { get; set; }
    }
}
