﻿using AircraftPlantContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantBusinessLogic.OfficePackage.HelperModels
{
    /// <summary>
    /// Модель для передачи данных
    /// для создания отчета в Excel-файле
    /// </summary>
    public class ExcelInfo
    {
        /// <summary>
        /// Название файла
        /// </summary>
        public string FileName { get; set; } = string.Empty;

        /// <summary>
        /// Заголовок
        /// </summary>
        public string Title { get; set; } = string.Empty;

        /// <summary>
        /// Список изделий с расшифровкой по компонентам
        /// </summary>
        public List<ReportPlaneComponentViewModel> PlaneComponents { get; set; } = new();

        /// <summary>
        /// Список магазинов с расшифровкой по изделиям
        /// </summary>
        public List<ReportShopPlanesViewModel> ShopPlanes { get; set; } = new();
    }
}
