﻿using AircraftPlantContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantBusinessLogic.OfficePackage.HelperModels
{
    /// <summary>
    /// Модель для передачи данных
    /// для создания отчета в Pdf-файле
    /// </summary>
    public class PdfInfo
    {
        /// <summary>
        /// Название файла
        /// </summary>
        public string FileName { get; set; } = string.Empty;

        /// <summary>
        /// Заголовок
        /// </summary>
        public string Title { get; set; } = string.Empty;

        /// <summary>
        /// Начало периода выборки данных
        /// </summary>
        public DateTime DateFrom { get; set; }

        /// <summary>
        /// Конец периода выборки данных
        /// </summary>
        public DateTime DateTo { get; set; }

        /// <summary>
        /// Список заказов
        /// </summary>
        public List<ReportOrdersViewModel> Orders { get; set; } = new();

        /// <summary>
        /// Список заказов с группировкой по датам
        /// </summary>
        public List<ReportGroupOrdersViewModel> GroupOrders { get; set; } = new();
    }
}
