﻿using AircraftPlantContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantBusinessLogic.OfficePackage.HelperModels
{
    /// <summary>
    /// Модель для передачи данных
    /// для создания отчета в Word-файле
    /// </summary>
    public class WordInfo
    {
        /// <summary>
        /// Название файла
        /// </summary>
        public string FileName { get; set; } = string.Empty;

        /// <summary>
        /// Заголовок
        /// </summary>
        public string Title { get; set; } = string.Empty;
        
        /// <summary>
        /// Список изделий
        /// </summary>
        public List<PlaneViewModel> Planes { get; set; } = new();

        /// <summary>
        /// Список магазинов
        /// </summary>
        public List<ShopViewModel> Shops { get; set; } = new();
    }
}
