﻿using AircraftPlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.BindingModels
{
    /// <summary>
    /// Модель для передачи данных пользователя
    /// в методы для сохранения данных для компонентов
    /// </summary>
    public class ComponentBindingModel : IComponentModel
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// Название компонента
        /// </summary>
        public string ComponentName { get; set; } = string.Empty;

        /// <summary>
        /// Стоимость компонента 
        /// </summary>
        public double Cost { get; set; }
    }
}
