﻿using AircraftPlantDataModels.Enums;
using AircraftPlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.BindingModels
{
    /// <summary>
    /// Модель для передачи данных пользователя
    /// в методы для сохранения данных для заказов
    /// </summary>
    public class OrderBindingModel : IOrderModel
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// Идентификатор изделия
        /// </summary>
        public int PlaneId { get; set; }

        /// <summary>
        /// Идентификатор клиента
        /// </summary>
        public int ClientId { get; set; }

        /// <summary>
        /// Идентификатор исполнителя
        /// </summary>
        public int? ImplementerId { get; set; }

        /// <summary>
        /// Количество изделий
        /// </summary>
        public int Count { get; set; }

        /// <summary>
        /// Сумма заказа
        /// </summary>
        public double Sum { get; set; }

        /// <summary>
        /// Статус заказа
        /// </summary>
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;

        /// <summary>
        /// Дата создания заказа
        /// </summary>
        public DateTime DateCreate { get; set; } = DateTime.Now;

        /// <summary>
        /// Дата выполнения заказа
        /// </summary>
        public DateTime? DateImplement { get; set; }
    }
}
