﻿using AircraftPlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.BindingModels
{
    /// <summary>
    /// Модель для передачи данных пользователя
    /// в методы для сохранения данных для магазинов
    /// </summary>
    public class ShopBindingModel : IShopModel
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// Название магазина
        /// </summary>
        public string ShopName { get; set; } = string.Empty;

        /// <summary>
        /// Адрес магазина
        /// </summary>
        public string Address { get; set; } = string.Empty;

        /// <summary>
        /// Дата открытия магазина
        /// </summary>
        public DateTime DateOpening { get; set; } = DateTime.Now;

        /// <summary>
        /// Коллекция изделий в магазине
        /// </summary>
        public Dictionary<int, (IPlaneModel, int)> ShopPlanes
        {
            get;
            set;
        } = new();

        /// <summary>
        /// Максимальное количество изделий
        /// </summary>
        public int MaxPlanes { get; set; }
    }
}
