﻿using AircraftPlantContracts.BindingModels;
using AircraftPlantContracts.SearchModels;
using AircraftPlantContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.BusinessLogicsContracts
{
    /// <summary>
    /// Интерфейс для описания работы бизнес-логики для заказов
    /// </summary>
    public interface IOrderLogic
    {
        /// <summary>
        /// Получение списка
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        List<OrderViewModel>? ReadList(OrderSearchModel? model);

        /// <summary>
        /// Получение отдельной записи
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        OrderViewModel? ReadElement(OrderSearchModel model);

        /// <summary>
        /// Создание заказа
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        bool CreateOrder(OrderBindingModel model);

        /// <summary>
        /// Смена статуса заказа (Выполняется)
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        bool TakeOrderInWork(OrderBindingModel model);

        /// <summary>
        /// Смена статуса заказа (Выдан)
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        bool FinishOrder(OrderBindingModel model);

        /// <summary>
        /// Смена статуса заказа (Готов)
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        bool DeliveryOrder(OrderBindingModel model);
    }
}
