﻿using AircraftPlantContracts.BindingModels;
using AircraftPlantContracts.SearchModels;
using AircraftPlantContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.BusinessLogicsContracts
{
    /// <summary>
    /// Интерфейс для описания работы бизнес-логики для изделий
    /// </summary>
    public interface IPlaneLogic
    {
        /// <summary>
        /// Получение списка
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        List<PlaneViewModel>? ReadList(PlaneSearchModel? model);

        /// <summary>
        /// Получение отдельной записи
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        PlaneViewModel? ReadElement(PlaneSearchModel model);

        /// <summary>
        /// Создание записи
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        bool Create(PlaneBindingModel model);

        /// <summary>
        /// Изменение записи
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        bool Update(PlaneBindingModel model);

        /// <summary>
        /// Удаление записи
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        bool Delete(PlaneBindingModel model);
    }
}
