﻿using AircraftPlantDataModels.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.SearchModels
{
    /// <summary>
    /// Модель для передачи данных пользователя
    /// в методы для поиска данных для заказов
    /// </summary>
    public class OrderSearchModel
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int? Id { get; set; }

        /// <summary>
        /// Идентификатор клиента
        /// </summary>
        public int? ClientId { get; set; }

        /// <summary>
        /// Идентификатор исполнителя
        /// </summary>
        public int? ImplementerId { get; set; }

        /// <summary>
        /// Статус выполнения заказа
        /// </summary>
        public OrderStatus? Status { get; set; }

        /// <summary>
        /// Начало периода выборки данных
        /// </summary>
        public DateTime? DateFrom { get; set; }

        /// <summary>
        /// Конец периода выборки данных
        /// </summary>
        public DateTime? DateTo { get; set; }
    }
}
