﻿using AircraftPlantContracts.BindingModels;
using AircraftPlantContracts.SearchModels;
using AircraftPlantContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.StoragesContracts
{
    /// <summary>
    /// Интерфейс для описания работы с хранилищем для исполнителей
    /// </summary>
    public interface IImplementerStorage
    {
        /// <summary>
        /// Получение полного списка
        /// </summary>
        /// <returns></returns>
        List<ImplementerViewModel> GetFullList();

        /// <summary>
        /// Получение фильтрованного списка
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        List<ImplementerViewModel> GetFilteredList(ImplementerSearchModel model);

        /// <summary>
        /// Получение элемента
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        ImplementerViewModel? GetElement(ImplementerSearchModel model);

        /// <summary>
        /// Добавление элемента
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        ImplementerViewModel? Insert(ImplementerBindingModel model);

        /// <summary>
        /// Редактирование элемента
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        ImplementerViewModel? Update(ImplementerBindingModel model);

        /// <summary>
        /// Удаление элемента
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        ImplementerViewModel? Delete(ImplementerBindingModel model);
    }
}
