﻿using AircraftPlantContracts.BindingModels;
using AircraftPlantContracts.SearchModels;
using AircraftPlantContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.StoragesContracts
{
    /// <summary>
    /// Интерфейс для описания работы с хранилищем для заказов
    /// </summary>
    public interface IOrderStorage
    {
        /// <summary>
        /// Получение полного списка
        /// </summary>
        /// <returns></returns>
        List<OrderViewModel> GetFullList();

        /// <summary>
        /// Получение фильтрованного списка
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        List<OrderViewModel> GetFilteredList(OrderSearchModel model);

        /// <summary>
        /// Получение элемента
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        OrderViewModel? GetElement(OrderSearchModel model);

        /// <summary>
        /// Добавление элемента
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        OrderViewModel? Insert(OrderBindingModel model);

        /// <summary>
        /// Редактирование элемента
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        OrderViewModel? Update(OrderBindingModel model);

        /// <summary>
        /// Удаление элемента
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        OrderViewModel? Delete(OrderBindingModel model);
    }
}
