﻿using AircraftPlantContracts.BindingModels;
using AircraftPlantContracts.SearchModels;
using AircraftPlantContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.StoragesContracts
{
    /// <summary>
    /// Интерфейс для описания работы с хранилищем для изделий
    /// </summary>
    public interface IPlaneStorage
    {
        /// <summary>
        /// Получение полного списка
        /// </summary>
        /// <returns></returns>
        List<PlaneViewModel> GetFullList();

        /// <summary>
        /// Получение фильтрованного списка
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        List<PlaneViewModel> GetFilteredList(PlaneSearchModel model);

        /// <summary>
        /// Получение элемента
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        PlaneViewModel? GetElement(PlaneSearchModel model);

        /// <summary>
        /// Добавление элемента
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        PlaneViewModel? Insert(PlaneBindingModel model);

        /// <summary>
        /// Редактирование элемента
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        PlaneViewModel? Update(PlaneBindingModel model);

        /// <summary>
        /// Удаление элемента
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        PlaneViewModel? Delete(PlaneBindingModel model);
    }
}
