﻿using AircraftPlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.ViewModels
{
    /// <summary>
    /// Модель для передачи данных пользователю
    /// для отображения для клиентов
    /// </summary>
    public class ClientViewModel : IClientModel
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// ФИО клиента
        /// </summary>
        [DisplayName("ФИО клиента")]
        public string ClientFIO { get; set; } = string.Empty;

        /// <summary>
        /// Логин (электронная почта)
        /// </summary>
        [DisplayName("Логин (эл. почта)")]
        public string Email { get; set; } = string.Empty;

        /// <summary>
        /// Пароль
        /// </summary>
        [DisplayName("Пароль")]
        public string Password { get; set; } = string.Empty;

    }
}
