﻿using AircraftPlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.ViewModels
{
    /// <summary>
    /// Модель для передачи данных пользователю
    /// для отображения для компонентов
    /// </summary>
    public class ComponentViewModel : IComponentModel
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// Название компонента
        /// </summary>
        [DisplayName("Название компонента")]
        public string ComponentName { get; set; } = string.Empty;

        /// <summary>
        /// Стоимость компонента
        /// </summary>
        [DisplayName("Цена")]
        public double Cost { get; set; }
    }
}
