﻿using AircraftPlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.ViewModels
{
    /// <summary>
    /// Модель для передачи данных пользователю
    /// для отображения для исполнителей
    /// </summary>
    public class ImplementerViewModel : IImplementerModel
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// ФИО исполнителя
        /// </summary>
        [DisplayName("ФИО исполнителя")]
        public string ImplementerFIO { get; set; } = string.Empty;

        /// <summary>
        /// Пароль
        /// </summary>
        [DisplayName("Пароль")]
        public string Password { get; set; } = string.Empty;

        /// <summary>
        /// Опыт работы
        /// </summary>
        [DisplayName("Опыт работы")]
        public int WorkExperience { get; set; }

        /// <summary>
        /// Квалификация
        /// </summary>
        [DisplayName("Квалификация")]
        public int Qualification { get; set; }
    }
}
