﻿using AircraftPlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.ViewModels
{
    /// <summary>
    /// Модель для передачи данных пользователю
    /// для отображения для изделий
    /// </summary>
    public class PlaneViewModel : IPlaneModel
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// Название изделия
        /// </summary>
        [DisplayName("Название изделия")]
        public string PlaneName { get; set; } = string.Empty;

        /// <summary>
        /// Стоимость изделия
        /// </summary>
        [DisplayName("Цена")]
        public double Price { get; set; }

        /// <summary>
        /// Коллекция компонентов изделия
        /// </summary>
        public Dictionary<int, (IComponentModel, int)> PlaneComponents
        {
            get;
            set;
        } = new();
    }
}
