﻿using AircraftPlantDataModels.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantDataModels.Models
{
    /// <summary>
    /// Интерфейс для модели заказа
    /// </summary>
    public interface IOrderModel : IId
    {
        /// <summary>
        /// Идентификатор изделия
        /// </summary>
        int PlaneId { get; }

        /// <summary>
        /// Идентификатор клиента
        /// </summary>
        int ClientId { get; }

        /// <summary>
        /// Идентификатор исполнителя
        /// </summary>
        int? ImplementerId { get; }

        /// <summary>
        /// Количество изделий
        /// </summary>
        int Count { get; }

        /// <summary>
        /// Сумма заказа
        /// </summary>
        double Sum { get; }

        /// <summary>
        /// Статус заказа
        /// </summary>
        OrderStatus Status { get; }

        /// <summary>
        /// Дата создания заказа
        /// </summary>
        DateTime DateCreate { get; }

        /// <summary>
        /// Дата выполнения заказа
        /// </summary>
        DateTime? DateImplement { get; }
    }
}
