﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantDataModels.Models
{
    /// <summary>
    /// Интерфейс для модели изделия
    /// </summary>
    public interface IPlaneModel : IId
    {
        /// <summary>
        /// Название изделия
        /// </summary>
        string PlaneName { get; }

        /// <summary>
        /// Стоимость изделия
        /// </summary>
        double Price { get; }

        /// <summary>
        /// Коллекция компонентов изделия
        /// </summary>
        Dictionary<int, (IComponentModel, int)> PlaneComponents { get; }
    }
}
