﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantDataModels.Models
{
    /// <summary>
    /// Интерфейс для модели магазина
    /// </summary>
    public interface IShopModel : IId
    {
        /// <summary>
        /// Название магазина
        /// </summary>
        string ShopName { get; }

        /// <summary>
        /// Адрес магазина
        /// </summary>
        string Address { get; }

        /// <summary>
        /// Дата открытия магазина
        /// </summary>
        DateTime DateOpening { get; }

        /// <summary>
        /// Коллекция изделий в магазине
        /// </summary>
        Dictionary<int, (IPlaneModel, int)> ShopPlanes { get; }

        /// <summary>
        /// Максимальное количество изделий
        /// </summary>
        int MaxPlanes { get; }
    }
}
