﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantDatabaseImplement.Models
{
    /// <summary>
    /// Класс для связи изделия и компонента
    /// </summary>
    public class PlaneComponent 
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// Идентификатор изделия
        /// </summary>
        [Required]
        public int PlaneId { get; set; }

        /// <summary>
        /// Идентификатор компонента
        /// </summary>
        [Required]
        public int ComponentId { get; set; }

        /// <summary>
        /// Количество компонентов
        /// </summary>
        [Required]
        public int Count { get; set; }

        /// <summary>
        /// Компонент
        /// </summary>
        public virtual Component Component { get; set; } = new();

        /// <summary>
        /// Изделие
        /// </summary>
        public virtual Plane Plane { get; set; } = new();
    }
}
