﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantDatabaseImplement.Models
{
    /// <summary>
    /// Класс для связи магазина и изделия
    /// </summary>
    public class ShopPlane
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// Идентификатор магазина
        /// </summary>
        [Required]
        public int ShopId { get; set; }

        /// <summary>
        /// Идентификатор изделия
        /// </summary>
        [Required]
        public int PlaneId { get; set; }

        /// <summary>
        /// Количество изделий
        /// </summary>
        [Required]
        public int Count { get; set; }

        /// <summary>
        /// Магазин
        /// </summary>
        public virtual Shop Shop { get; set; } = new();

        /// <summary>
        /// Изделие
        /// </summary>
        public virtual Plane Plane { get; set; } = new();
    }
}
